Hi 你好,欢迎访问!登录
当前位置:首页 - Linux - 正文 君子好学,自强不息!

CentOS 6.0安装ipvsadm 1.26

2011-11-30Linux撒加36671°c
A+ A-

此文档不适用于在CentOS 5.x安装ipvsadm 1.26。原因是ipvsadm 1.26适用于kernel 2.6.28及之后的内核版本。
如果你要在CentOS 5.X上编译安装ipvsadm,只能下载安装1.24的
我的系统环境是安装了开发工具和开发库的,所以不存在gcc没安装的情况。CentOS 5.x也是如此
1、安装依赖包及创建
     yum check-update
     yum -y install libnl* popt*
2、下载ipvsadm 1.26
     wget https://www.linuxvirtualserver.org/software/kernel-2.6/ipvsadm-1.26.tar.gz
     For CentOS 5.x
     wget https://www.linuxvirtualserver.org/software/kernel-2.6/ipvsadm-1.24.tar.gz
3、解压下载回来的包
     ln -s /usr/src/kernels/2.6.32-71.el6.x86_64/ /usr/src/linux
     tar zxf ipvsadm-1.26.tar.gz
     cd ipvsadm-1.26
     make && make install
安装完后默认将ipvsadm启动脚本安装在/etc/init.d/下,其它的可执行文件在
ipvsadm /sbin
ipvsadm-save /sbin
ipvsadm-restore /sbin

  选择打赏方式
微信赞助

打赏

QQ钱包

打赏

支付宝赞助

打赏

  选择分享方式
  移步手机端
CentOS 6.0安装ipvsadm 1.26

1、打开你手机的二维码扫描APP
2、扫描左则的二维码
3、点击扫描获得的网址
4、可以在手机端阅读此文章
未定义标签

发表评论

选填

必填

必填

选填

请拖动滑块解锁
>>


jianbqj
1楼  jianbqj @Ta
时间:2012-01-15 19:49:03

博主,yum -y install ibnl* popt* 这个yum安装ibnl*没找到软件,ibnl*应该是libnl*吧?

撒加
时间:2012-01-16 09:53:38

@jianbqj:@jianbqj:恩,完整的是libnl*,用yum search ibnl
少了一个l

  用户登录